Bug 88623 - RFE: make rpm -Fvh consider %{arch}?
RFE: make rpm -Fvh consider %{arch}?
Status: CLOSED DUPLICATE of bug 171743
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
: FutureFeature, Reopened
: 193304 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 11:40 EDT by Chris Ricker
Modified: 2007-11-30 17:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 06:14:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2003-04-11 11:40:40 EDT
Currently, rpm effectively only considers the %{name}, %{version}, %{epoch}, and
%{release} when upgrading existing packages. This can lead to problems like Bug
88456, which apparently (at least in some cases) is due to replacing .i686.rpm
of glibc with .i386.rpm of glibc via rpm -Fvh.

Is there any reason rpm -Fvh doesn't also consider %{arch}, and only freshen
packages of the same %{arch}?
Comment 1 Steven Shiau 2003-04-23 21:18:10 EDT
If rpm DO also consider %{arch}, is that possible I can set the "arch" ? I have
an i686 machine, but because I have to share its files (including glibc,
openssl) to i386/i586 machines.
Or how can I tell the installer to treat my i686 machine as i386 machine when I
install the RH7/8/9/ ?
Thanks.
Comment 2 Jeff Johnson 2005-11-13 22:21:09 EST
*** Bug 171743 has been marked as a duplicate of this bug. ***
Comment 3 Jeff Johnson 2006-01-06 11:36:57 EST
*** Bug 176174 has been marked as a duplicate of this bug. ***
Comment 4 John Caruso 2006-01-06 12:44:49 EST
Jeff, since I can't get you to recognize this as a high priority bug on RHEL4
rather than just an enhancement request for RH9, and since you keep pegging them
to this ancient enhancement request with no comment at all: do you have any
plans whatsoever to actually *fix* this issue?  It's been sitting here ignored
for nearly 3 years, and there's no indication that it won't just sit here for
many more.

Every time a new OS update comes out, I end up spending hours on multiple 64-bit
systems working around RPM's failure to distinguish between architectures when
freshening packages, going through the update list painstakingly to make sure I
don't end up with a broken or nonfunctioning system when a 32-bit package
erroneously replaces its installed 64-bit counterpart.  I think it's obvious
that that's a bug, and it doesn't seem like a very difficult bug to fix.
Comment 5 Jeff Johnson 2006-05-29 11:10:10 EDT
*** Bug 193304 has been marked as a duplicate of this bug. ***
Comment 6 Bill Nottingham 2006-08-05 01:42:16 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 8 Bill Nottingham 2007-01-02 14:24:28 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.
Comment 9 Kai Engert (:kaie) 2007-01-02 16:37:18 EST
I think CANTFIX is wrong. I'm reopening this bug.

Although this original bug had been filed against older Red Hat Linux versions,
the bug 193304 I had filed shows the issue is still present in Fedora Core 5,
and unless somebody can give an indication that somebody has worked on it, I'm
sure the bug is present in later versions of RPM, too.

Please see bug 199304 for more details.

I'm changing the product and version of this to Fedora Core 5, the version I had
used in bug 193304.
Comment 10 Red Hat Bugzilla 2007-08-21 01:17:22 EDT
User pnasrat@redhat.com's account has been closed
Comment 11 Panu Matilainen 2007-08-22 02:34:48 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 12 Panu Matilainen 2007-10-24 06:14:05 EDT
Dupe of 171743 and FC5 is EOL...

*** This bug has been marked as a duplicate of 171743 ***

Note You need to log in before you can comment on or make changes to this bug.